Bug 486028 - Silent install not working due to audit signing.
Silent install not working due to audit signing.
Status: CLOSED ERRATA
Product: Red Hat Certificate System
Classification: Red Hat
Component: Installation Wizard (Show other bugs)
8.0
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-02-17 17:28 EST by Asha Akkiangady
Modified: 2017-04-10 10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (9.26 KB, patch)
2009-02-20 01:47 EST, Ade Lee
no flags Details | Diff
silent install logs (700.00 KB, application/x-tar)
2009-06-05 13:42 EDT, Jenny Galipeau
no flags Details

  None (edit)
Description Asha Akkiangady 2009-02-17 17:28:01 EST
Description of problem:
Silent install of CA through pkisilent ConfigureCA in not working due to audit signing.

Version-Release number of selected component (if applicable):
8.0

How reproducible:
Always

Steps to Reproduce:
1. Make a pkisilent ConfigureCA request.

  
Actual results:
Nullpointer exception thrown.

Posting Query =
        https://localhost:9844//ca/admin/console/config/wizard?p=11&op=next&xml=true&subsystem=CN%3
        DCA-subsystem%2CO%3Dredhat&ocsp_signing=CN%3DOCSPSigning%2CO%3Dredhat&signing=CN%3DCA%2CO%3
        Dredhat&sslserver=CN%3Ddhcp-1102.sjc.redhat.com%2CO%3Dredhat&urls=0
         RESPONSE STATUS:  HTTP/1.1 200 OK
         RESPONSE HEADER:  Server: Apache-Coyote/1.1
         RESPONSE HEADER:  Content-Type: text/html;charset=UTF-8
         RESPONSE HEADER:  Content-Length: 2081
         RESPONSE HEADER:  Date: Tue, 17 Feb 2009 18:58:59 GMT
         RESPONSE HEADER:  Connection: keep-alive
         <?xml version="1.0" encoding="UTF-8"?>
         <html>
           <title>Error</title>
           <body bgcolor="#ffffff">
             <h2>VelocityServlet: Error processing the template</h2>
             <pre>java.lang.NullPointerException
                at com.netscape.cms.servlet.csadmin.NamePanel.validate(NamePanel.java:313)
                at
        com.netscape.cms.servlet.wizard.WizardServlet.goNextApply(WizardServlet.java:313)
                at com.netscape.cms.servlet.wizard.WizardServlet.goNext(WizardServlet.java:294)
                at
        com.netscape.cms.servlet.wizard.WizardServlet.handleRequest(WizardServlet.java:470)
                at org.apache.velocity.servlet.VelocityServlet.doRequest(VelocityServlet.java:358)
                at org.apache.velocity.servlet.VelocityServlet.doPost(VelocityServlet.java:327)
                at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
                at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
                at
        org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav
        a:269)
                at
        org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
                at
        org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
                at
        org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
                at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
                at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
                at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:542)
                at
        org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
                at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
                at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:870)
                at
        org.apache.coyote.http11.Http11BaseProtocol$Http11ConnectionHandler.processConnection(Http1
        1BaseProtocol.java:665)
                at
        org.apache.tomcat.util.net.PoolTcpEndpoint.processSocket(PoolTcpEndpoint.java:528)
                at
        org.apache.tomcat.util.net.LeaderFollowerWorkerThread.runIt(LeaderFollowerWorkerThread.java
        :81)
                at
        org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
                at java.lang.Thread.run(Thread.java:636)
         </pre>
           </body>
         </html>
         req_list_size=0
         cert_list_size=0
         dn_list_size=0
         ca_cert_name=CN=CA,O=redhat
         ocsp_cert_name=CN=OCSPSigning,O=redhat
         ca_subsystem_cert_name=CN=CA-subsystem,O=redhat
         server_cert_name=CN=dhcp-1102.sjc.redhat.com,O=redhat
         ca_cert_req=null
         ocsp_cert_req=null
         ca_subsystem_cert_req=null
         server_cert_req=null
         ca_cert_cert=null
         ocsp_cert_cert=null
         ca_subsystem_cert_cert=null
         server_cert_cert=null
         Sleeping for 5 secs..
         Exception in CertificatePanel(): java.lang.NullPointerException
         ERROR: ConfigureCA: CertificatePanel() failure
         ERROR: unable to create CA

Expected results:
ConfigureCA successfully.

Additional info:
Debug messages:
[17/Feb/2009:11:27:28][http-9843-Processor23]: WizardServlet:serice() uri = /ca/admin/console/config/wizard
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='signing_keytype' value='rsa'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='subsystem_keytype' value='rsa'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='xml' value='true'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='sslserver_custom_size' value='2048'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='signing_choice' value='custom'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='keytype' value='rsa'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='sslserver_choice' value='custom'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='ocsp_signing_keytype' value='rsa'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='signing_custom_size' value='2048'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='op' value='next'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='choice' value='custom'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='ocsp_signing_custom_size' value='2048'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='custom_size' value='2048'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='p' value='10'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='subsystem_choice' value='custom'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='sslserver_keytype' value='rsa'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='subsystem_custom_size' value='2048'
[17/Feb/2009:11:27:28][http-9843-Processor23]: CMSServlet::service() param name='ocsp_signing_choice' value='custom'
[17/Feb/2009:11:27:28][http-9843-Processor23]: WizardServlet: op=next
[17/Feb/2009:11:27:28][http-9843-Processor23]: WizardServlet: size=19
[17/Feb/2009:11:27:28][http-9843-Processor23]: WizardServlet: in next 10
[17/Feb/2009:11:27:28][http-9843-Processor23]: SizePanel: update()
[17/Feb/2009:11:27:28][http-9843-Processor23]: SizePanel: update() keysize choice selected:custom
[17/Feb/2009:11:27:28][http-9843-Processor23]: SizePanel: update() keysize choice selected:custom
[17/Feb/2009:11:27:28][http-9843-Processor23]: SizePanel: update() keysize choice selected:custom
[17/Feb/2009:11:27:28][http-9843-Processor23]: SizePanel: update() keysize choice selected:custom
[17/Feb/2009:11:27:28][http-9843-Processor23]: SizePanel: update() Exception caught: java.lang.NullPointerException
Property null.preop.cert.audit_signing.keytype missing value
        at com.netscape.cmscore.base.PropConfigStore.getString(PropConfigStore.java:239)
        at com.netscape.cms.servlet.csadmin.SizePanel.update(SizePanel.java:342)
        at com.netscape.cms.servlet.wizard.WizardServlet.goNextApply(WizardServlet.java:315)
        at com.netscape.cms.servlet.wizard.WizardServlet.goNext(WizardServlet.java:294)
        at com.netscape.cms.servlet.wizard.WizardServlet.handleRequest(WizardServlet.java:470)
        at org.apache.velocity.servlet.VelocityServlet.doRequest(VelocityServlet.java:358)
        at org.apache.velocity.servlet.VelocityServlet.doPost(VelocityServlet.java:327)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
        at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:542)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:870)
        at org.apache.coyote.http11.Http11BaseProtocol$Http11ConnectionHandler.processConnection(Http11BaseProtocol.java:665)
        at org.apache.tomcat.util.net.PoolTcpEndpoint.processSocket(PoolTcpEndpoint.java:528)
        at org.apache.tomcat.util.net.LeaderFollowerWorkerThread.runIt(LeaderFollowerWorkerThread.java:81)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
        at java.lang.Thread.run(Thread.java:636)
[17/Feb/2009:11:27:32][http-9843-Processor23]: SizePanel: key generation failure: Property null.preop.cert.audit_signing.keytype missing value
Comment 1 Ade Lee 2009-02-20 01:47:16 EST
Created attachment 332674 [details]
patch to fix

Patch to add audit-signing attached,

awnuk, please review!
Comment 3 Andrew Wnuk 2009-02-20 11:06:46 EST
attachment (id=332674) +awnuk
Comment 4 Ade Lee 2009-02-20 11:55:35 EST
[builder@dhcp231-124 src4]$ svn ci -m "BZ# 486028 - add auditSigning to pkisilent" pki/dogtag/silent/pki-silent.spec pki/base/silent/src/ca/ConfigureCA.java
Sending        pki/base/silent/src/ca/ConfigureCA.java
Sending        pki/dogtag/silent/pki-silent.spec
Transmitting file data ..
Committed revision 237.
Comment 5 Jenny Galipeau 2009-06-05 13:41:44 EDT
Verified - see attached silent install logs
Comment 6 Jenny Galipeau 2009-06-05 13:42:04 EDT
Created attachment 346695 [details]
silent install logs

Note You need to log in before you can comment on or make changes to this bug.